Page MenuHomePhabricator

/usr/local/bin/killgridjobs.sh is outdated
Closed, ResolvedPublic

Description

While doing T156174, I found this killgridjobs.sh. It checks if it is on bastion, but accepts only tools-bastion-01, which doesn't even exist anymore. As the script is only installed on bastions, I'd question the usefulness of this check.

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptFeb 10 2017, 11:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
scfc added a subscriber: scfc.Feb 16 2017, 7:16 PM

https://wikitech.wikimedia.org/wiki/Nova_Resource:Tools/Admin references neither exec-manage nor the scripts under modules/toollabs/files/gridscripts/ at the moment :-) (and the SOP in README in the latter does not seem to be documented on wikitech.wikimedia.org either). The procedure in README has courtesy mails to the owners of jobs to be deleted/rescheduled, I don't know if this is necessary/useful to keep.

I would suggest to wait for the next time a node needs to be drained, then document which scripts were actually run at https://wikitech.wikimedia.org/wiki/Nova_Resource:Tools/Admin#Draining_a_node_of_Jobs and afterwards remove everything unused.

scfc triaged this task as Low priority.Feb 16 2017, 7:17 PM
scfc moved this task from Triage to Backlog on the Toolforge board.

Change 605345 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] toolforge: remove legacy killgridjobs.sh script

https://gerrit.wikimedia.org/r/605345

Change 605345 merged by Bstorm:
[operations/puppet@production] toolforge: remove legacy killgridjobs.sh script

https://gerrit.wikimedia.org/r/605345

Mentioned in SAL (#wikimedia-cloud) [2020-06-15T21:28:27Z] <bstorm_> cleaned up killgridjobs.sh on the tools bastions T157792

Mentioned in SAL (#wikimedia-cloud) [2020-06-15T21:54:27Z] <bstorm_> removed killgridjobs.sh from toolsbeta bastion T157792

Bstorm closed this task as Resolved.Tue, Jun 16, 12:16 AM
Bstorm claimed this task.